Subject: Re: [bug#57173] [PATCH] gnu: yt-dlp: Update to 2022.08.08.

From: Csepp <[email-masked]>
Date: Sun, 14 Aug 2022 14:42:36 +0200

Tobias Geerinckx-Rice <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Hi raingloom,
>
> raingloom 写道：
>> * gnu/packages/video.scm (yt-dlp): Update to 2022.08.08.
>
> Thanks!
>
> Since yt-dlp was already up to date, I've turned this into a ‘fetch
> from git’ patch with the following additions:
>
>>   [source]: remove snippet, switch to git-fetch
>
>  ^^ extraneous indentation; s/remove/Remove/.

Dang, I'll get the hang of the changelog format sometime this decade. :)

> When using GIT-FETCH, always set the file-name to something
> meaningful:
>
>  (file-name (git-file-name name version))
>
>> -                   ;; Delete the pre-generated files, except for
>> the man page
>> -                   ;; which requires 'pandoc' to build.
>
> OK, but then we do need to build it ourselves, not remove it.
>
> Done in c2481b1bea56f2885110d5af0a6cff36a3d95933.

I lazily assumed it was being generated already, I guess the comment was
misleading and I should have verified it.

> The new package works fine, but differs slightly:
> extractor/lazy_extractors.py is no longer installed.  What's up with
> that?

Not sure what that is or where it's used.  I'll try to take a look soon-ish.

> Leaving open for now,
>
> T G-R
>
> [[End of PGP Signed Part]]